SystemOrganization addCategory: #'TAIS-BuscaMinas'!

SimpleSwitchMorph subclass: #Celda
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TAIS-BuscaMinas'!

!Celda methodsFor: 'initialization' stamp: 'initialize 5/25/2012 11:24'!
initialize 
	super initialize.
	self label: ''.
	self borderWidth: 2.
	bounds := 0@0 corner: 16@16.
	offColor := Color paleYellow.
	onColor := Color paleBlue darker.
	self useSquareCorners.
	self turnOff! !

BorderedMorph subclass: #Tablero
	instanceVariableNames: 'cells'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TAIS-BuscaMinas'!

!Tablero methodsFor: 'accessing' stamp: 'initialize 5/25/2012 12:45'!
cells

	^ cells! !

!Tablero methodsFor: 'accessing' stamp: 'initialize 5/25/2012 12:45'!
cells: anObject

	cells := anObject! !

!Tablero methodsFor: 'accessing' stamp: 'initialize 5/25/2012 12:18'!
cellsPerSide

	^ 10! !

!Tablero methodsFor: 'as yet unclassified' stamp: 'initialize 5/25/2012 12:46'!
initialize 
	| sampleCell width height n |
	
	super initialize.
	n := self cellsPerSide.
	sampleCell := LOCell new.
	width := sampleCell width.
	height := sampleCell height.
	self bounds: (5@5 extent: ((width*n)@(height*n)) + (2 * self borderWidth)).
	self cells: (Matrix new: n tabulate: [ :i :j | self newCellAt: i at: j ]).! !

!Tablero methodsFor: 'as yet unclassified' stamp: 'initialize 5/25/2012 12:49'!
newCellAt:  i at: j
	"Create a cell for position (i,j) and add it to my on-screen
	representation at the appropiate screen position. Answer the new cell"

	| c origin |
	c := Celda new.
	origin := self innerBounds origin.
	self addMorph: c.
	c position: ((i - 1) * c width ) @ ((j - 1) * c height) + origin.
	"c mouseAction: [self toggleNeighboursOfCellAt: i at: j]."
	^c! !
